<?
include_once("valida_sessao.php");
protegePagina();
include_once("adm_head.php");
?>

<span class="dir">Adicionar novo bloco</span>
</div>
<div id="conteudo">

<?php
include_once("config.php");

if (isset($_POST['submit'])) {


$nome = $_POST['nome'];
$arquivo = $_POST['arquivo'];
$texto = addslashes($_POST['texto']);

   include_once("utf8.php");
   

	$busca = mysqli_query($conn, "SELECT b_arquivo FROM ctd_blocos WHERE b_arquivo='$arquivo'");
	if(mysqli_num_rows($busca) == 0){   
	   $insere = "INSERT INTO ctd_blocos (b_nome,b_arquivo,b_texto)
	   VALUES ('$nome','$arquivo','$texto')";
	   mysqli_query($conn, $insere);
	   mysqli_close($conn);
   
   		echo "<p class=\"sucesso\">Adicionado Com Sucesso!</p>";  
	} else {
		echo "<p class=\"erro\">Bloco não adicionado: Bloco ".$arquivo." já utilizado!</p>";
	}
   
}

?>

<form name="frmbloco" method="POST" action="<?=$_SERVER['PHP_SELF']?>" onSubmit="return valida_bloco(this);">
<table align="center" cellspacing="0" cellpadding="0" class="form">
		  <tr>
            <td>
            <img src="imagem/importante.gif" />
            Nome <br />
            <input type="text" name="nome" maxlength="50" />
            </td>
          </tr>
          <tr>
            <td>
            <img src="imagem/importante.gif" />
            Arquivo <br />
            <input type="text" name="arquivo" maxlength="50" value=".php" />
            </td>
          </tr>
          <tr>
            <td>            
            Texto <br />
            <textarea rows="26" name="texto"></textarea>
            </td>
          </tr>            
          <tr>
            <td align="center">
              <input type="button" value="Voltar" name="voltar" onclick="location.href='ctd_bloco_adm.php'" />
              <input type="submit" value="Salvar" name="submit" />
              </td>
          </tr>
        </table>
</form>
</div>
<? include_once("adm_foot.php"); ?>